<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
        android:orientation="vertical"
        xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

    <RelativeLayout
            android:gravity="center_vertical"
            android:background="#ffffff"
            android:layout_width="match_parent"
            android:layout_height="48dp">

        <ImageView
                android:id="@+id/back"
                android:paddingTop="15dp"
                android:paddingBottom="15dp"
                android:paddingLeft="28dp"
                android:layout_centerVertical="true"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:src="@drawable/icon_back"/>

        <View
                android:id="@+id/line"
                android:layout_marginLeft="22dp"
                android:layout_toRightOf="@+id/back"
                android:layout_centerVertical="true"
                android:layout_width="1dp"
                android:layout_height="16dp"
                android:background="#d8d8d8"/>

        <TextView
                android:id="@+id/projectName"
                android:layout_marginLeft="19dp"
                android:text="京东科技大厦 地下1F"
                android:layout_width="wrap_content"
                android:layout_centerVertical="true"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/line"
                android:textSize="16sp"
                android:textColor="#1f2329"/>

        <ImageView
                android:paddingTop="20dp"
                android:paddingBottom="20dp"
                android:layout_marginLeft="12dp"
                android:layout_toRightOf="@+id/projectName"
                android:layout_centerVertical="true"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:src="@drawable/icon_arrow_down"/>

        <LinearLayout
                android:gravity="center_vertical"
                android:layout_centerInParent="true"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal">

            <TextView
                    android:id="@+id/chooseObject"
                    android:background="@drawable/btn_bg_gray_left_open"
                    android:layout_width="140dp"
                    android:layout_height="32dp"
                    android:text="土建精装"
                    android:textColor="#1F2429"
                    android:textSize="14sp"
                    android:gravity="center"/>

            <TextView
                    android:id="@+id/chooseSpace"
                    android:background="@drawable/btn_bg_gray_right_close"
                    android:layout_width="140dp"
                    android:layout_height="32dp"
                    android:text="物业空间"
                    android:textColor="#1F2429"
                    android:textSize="14sp"
                    android:gravity="center"/>
        </LinearLayout>

        <LinearLayout
                android:paddingRight="30dp"
                android:layout_alignParentRight="true"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:orientation="horizontal">

            <ImageView
                    android:paddingTop="13dp"
                    android:paddingBottom="13dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/icon_message"/>

            <TextView
                    android:layout_marginTop="10dp"
                    android:layout_marginLeft="-16dp"
                    android:textSize="10sp"
                    android:textColor="@android:color/white"
                    android:layout_width="15dp"
                    android:layout_height="15dp"
                    android:text="2"
                    android:gravity="center"
                    android:background="@drawable/bg_red_round"/>

            <View
                    android:id="@+id/line2"
                    android:layout_marginLeft="14dp"
                    android:layout_gravity="center_vertical"
                    android:layout_width="1dp"
                    android:layout_height="16dp"
                    android:background="#d8d8d8"/>

            <TextView
                    android:layout_gravity="center_vertical"
                    android:id="@+id/roleName"
                    android:layout_marginLeft="18dp"
                    android:text="业务角色"
                    android:layout_width="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_height="wrap_content"
                    android:layout_toRightOf="@+id/line"
                    android:textSize="16sp"
                    android:textColor="#1f2329"/>

            <ImageView
                    android:layout_marginLeft="13dp"
                    android:layout_gravity="center_vertical"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:src="@drawable/icon_head"/>

            <ImageView
                    android:layout_marginLeft="5dp"
                    android:layout_gravity="center_vertical"
                    android:layout_width="10dp"
                    android:layout_height="6dp"
                    android:src="@drawable/icon_arrow_down"/>
        </LinearLayout>
    </RelativeLayout>

    <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:background="#EFF0F1"/>

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        <ExpandableListView
                android:visibility="gone"
                android:id="@+id/expandLv"
                android:background="@android:color/white"
                android:layout_width="270dp"
                android:layout_height="match_parent"/>

        <View
                android:id="@+id/line3"
                android:layout_toRightOf="@+id/expandLv"
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:background="#EFF0F1"/>

        <WebView
                android:layout_toRightOf="@+id/line3"
                android:id="@+id/webview"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                tools:context=".activities.Space3DActivity"/>

        <TextView
                android:id="@+id/addProblem"
                android:layout_centerHorizontal="true"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="30dp"
                android:layout_width="260dp"
                android:background="@drawable/bg_blue_round"
                android:textColor="@android:color/white"
                android:textSize="16sp"
                android:text="记录问题"
                android:gravity="center"
                android:layout_height="48dp"/>

        <TextView
                android:visibility="gone"
                android:id="@+id/problemDone"
                android:layout_centerHorizontal="true"
                android:layout_alignParentBottom="true"
                android:layout_marginBottom="30dp"
                android:layout_width="260dp"
                android:background="@drawable/btn_select_bg"
                android:textColor="#C3C7CB"
                android:enabled="false"
                android:textSize="16sp"
                android:text="完成标记"
                android:gravity="center"
                android:layout_height="48dp"/>

        <LinearLayout
                android:id="@+id/reverseTools"
                android:visibility="gone"
                android:paddingLeft="21dp"
                android:paddingRight="21dp"
                android:layout_marginBottom="16dp"
                android:layout_centerHorizontal="true"
                android:layout_above="@+id/addProblem"
                android:layout_width="wrap_content"
                android:layout_height="48dp"
                android:background="@drawable/bg_white_round"
                android:orientation="horizontal">

            <TextView
                    android:id="@+id/wall"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="墙"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/door"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="缺门"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/pillar"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="缺柱子"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/window"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="缺窗户"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/parking"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="缺车位"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/floorslab"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="楼板"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

        </LinearLayout>

        <LinearLayout
                android:id="@+id/forwardTools"
                android:visibility="gone"
                android:paddingLeft="21dp"
                android:paddingRight="21dp"
                android:layout_marginBottom="16dp"
                android:layout_centerHorizontal="true"
                android:layout_above="@+id/reverseTools"
                android:layout_width="wrap_content"
                android:layout_height="48dp"
                android:background="@drawable/bg_white_round"
                android:orientation="horizontal">


            <TextView
                    android:id="@+id/less"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="缺少"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/more"
                    android:layout_width="60dp"
                    android:layout_height="28dp"
                    android:text="多余"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>


            <TextView
                    android:id="@+id/materialError"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="材质错误"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/propertyError"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="属性错误"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/crossSectionError"
                    android:layout_width="87dp"
                    android:layout_height="28dp"
                    android:text="截面形状错误"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/sizeError"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="尺寸错误"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/positionError"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="位置错误"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/floorslabLess"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="楼板缺少"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/plantHoleLess"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="板洞缺少"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>

            <TextView
                    android:id="@+id/floorslabHeightError"
                    android:layout_width="80dp"
                    android:layout_height="28dp"
                    android:text="楼板高错误"
                    android:layout_marginLeft="20dp"
                    android:gravity="center"
                    android:layout_gravity="center_vertical"
                    android:textSize="14sp"
                    android:textColor="#1F2429"/>


        </LinearLayout>

        <LinearLayout
                android:id="@+id/cameraTypeTools"
                android:layout_marginRight="30dp"
                android:layout_alignParentRight="true"
                android:layout_marginTop="40dp"
                android:paddingTop="20dp"
                android:paddingBottom="20dp"
                android:background="@drawable/bg_black_round"
                android:layout_width="40dp"
                android:layout_height="wrap_content"
                android:orientation="vertical">

            <TextView
                    android:id="@+id/tv2d"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="2D"
                    android:textSize="14sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/tv3d"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginTop="10dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:gravity="center"
                    android:background="@drawable/bg_blue_round"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="3D"
                    android:textSize="14sp"
                    android:textColor="@android:color/white"/>
        </LinearLayout>

        <LinearLayout
                android:visibility="gone"
                android:id="@+id/drawTools"
                android:layout_marginRight="30dp"
                android:layout_alignParentRight="true"
                android:layout_marginTop="40dp"
                android:paddingTop="20dp"
                android:paddingBottom="20dp"
                android:background="@drawable/bg_black_round"
                android:layout_width="40dp"
                android:layout_height="wrap_content"
                android:orientation="vertical">

            <TextView
                    android:id="@+id/point"
                    android:drawableTop="@drawable/icon_point_white"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="标记点"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/pline"
                    android:layout_marginTop="10dp"
                    android:drawableTop="@drawable/icon_pline_white"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="多段线"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/close"
                    android:layout_marginTop="10dp"
                    android:drawableTop="@drawable/icon_close_white"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="闭合线"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/save"
                    android:layout_marginTop="10dp"
                    android:drawableTop="@drawable/icon_save_white"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="保存"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/delete"
                    android:layout_marginTop="10dp"
                    android:drawableTop="@drawable/icon_delete_white"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="删除"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>
        </LinearLayout>

        <LinearLayout
                android:visibility="gone"
                android:id="@+id/quitTools"
                android:layout_below="@+id/drawTools"
                android:layout_marginRight="30dp"
                android:layout_alignParentRight="true"
                android:layout_marginTop="15dp"
                android:paddingBottom="20dp"
                android:background="@drawable/bg_black_round"
                android:layout_width="40dp"
                android:layout_height="wrap_content"
                android:orientation="vertical">

            <TextView
                    android:id="@+id/record"
                    android:layout_marginTop="10dp"
                    android:drawableTop="@drawable/icon_record_white"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="记录\n问题"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/quit"
                    android:layout_marginTop="10dp"
                    android:drawableTop="@drawable/icon_quit"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="退出"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>
        </LinearLayout>

        <LinearLayout
                android:id="@+id/mapTools"
                android:layout_below="@+id/cameraTypeTools"
                android:layout_marginRight="30dp"
                android:layout_alignParentRight="true"
                android:layout_marginTop="15dp"
                android:paddingTop="20dp"
                android:paddingBottom="20dp"
                android:background="@drawable/bg_black_round"
                android:layout_width="40dp"
                android:layout_height="wrap_content"
                android:orientation="vertical">

            <TextView
                    android:id="@+id/compass"
                    android:drawableTop="@drawable/icon_compass"
                    android:layout_marginLeft="3dp"
                    android:layout_marginRight="3dp"
                    android:drawablePadding="3dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:background="@android:color/transparent"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="指南"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/vertical"
                    android:drawableTop="@drawable/icon_vertical"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginTop="10dp"
                    android:paddingTop="4dp"
                    android:drawablePadding="3dp"
                    android:paddingBottom="4dp"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="俯视"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/degree"
                    android:drawableTop="@drawable/icon_degree"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginTop="10dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:drawablePadding="3dp"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="45度"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/lock"
                    android:drawableTop="@drawable/icon_lock"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginTop="10dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:gravity="center"
                    android:layout_width="match_parent"
                    android:drawablePadding="3dp"
                    android:layout_height="wrap_content"
                    android:text="锁定视角"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/angle"
                    android:drawableTop="@drawable/icon_angle"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginTop="10dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:gravity="center"
                    android:drawablePadding="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="第一人称"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>

            <TextView
                    android:id="@+id/overall"
                    android:visibility="gone"
                    android:drawableTop="@drawable/icon_overall_white"
                    android:layout_marginLeft="6dp"
                    android:layout_marginRight="6dp"
                    android:layout_marginTop="10dp"
                    android:paddingTop="4dp"
                    android:paddingBottom="4dp"
                    android:gravity="center"
                    android:drawablePadding="3dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:text="整层"
                    android:textSize="12sp"
                    android:textColor="@android:color/white"/>
        </LinearLayout>

        <androidx.cardview.widget.CardView
                android:id="@+id/signProblem"
                android:layout_alignParentRight="true"
                android:layout_width="400dp"
                android:visibility="gone"
                android:elevation="8dp"
                android:layout_height="match_parent">

            <LinearLayout
                    android:background="@android:color/white"
                    android:layout_width="400dp"
                    android:layout_height="match_parent"
                    android:orientation="vertical">

                <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal">

                    <TextView
                            android:layout_marginLeft="32dp"
                            android:layout_marginTop="16dp"
                            android:text="标记问题"
                            android:textSize="16sp"
                            android:textColor="#1F2329"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"/>

                    <ImageView
                            android:id="@+id/closeProblem"
                            android:paddingTop="21dp"
                            android:paddingRight="25dp"
                            android:paddingLeft="25dp"
                            android:paddingBottom="21dp"
                            android:layout_alignParentRight="true"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:src="@drawable/icon_delete"
                            />
                </RelativeLayout>

                <View
                        android:layout_width="match_parent"
                        android:layout_height="1px"
                        android:background="#E4E5E7"/>

                <ScrollView
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1">

                </ScrollView>


                <LinearLayout
                        android:background="@android:color/white"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                    <View
                            android:layout_width="match_parent"
                            android:layout_height="1px"
                            android:background="#E4E5E7"/>

                    <TextView
                            android:id="@+id/saveProblem"
                            android:text="保存"
                            android:gravity="center"
                            android:layout_width="match_parent"
                            android:layout_height="48dp"
                            android:textSize="16sp"
                            android:layout_marginLeft="25dp"
                            android:layout_marginRight="25dp"
                            android:textColor="@android:color/white"
                            android:layout_marginTop="16dp"
                            android:layout_marginBottom="16dp"
                            android:background="@drawable/bg_blue_round"/>
                </LinearLayout>
            </LinearLayout>
        </androidx.cardview.widget.CardView>

    </RelativeLayout>

</LinearLayout>